# 5. Blog 

< Create a Blog of your chronoligical experiences, see example code below. Use online Image Grabber like [snipboard](https://snipboard.io/) for quickly storing screenshots for sharing.> 

### ==[`2020-03-03`]==

# The Dashboard -> Manually contructed

Studying the Factory.js that parses out Blocks syntax i am confident we can build a platform with draggable widgets to build a dashboard at run-time.

Strategy is to :

- build such a dashboard using Drag, Drop & resize
- Add widgets 
- dash state management
- construct a property editor that exposes (part of) the Widget/control's internal parameters via thid tool.

A great tool that works in a similar fashion is TinkerCAD Circuits UI

![The Model](https://snipboard.io/JZwTra.jpg)


### ==[`2020-02-10`]==

# The Widget -> BLOCKS workflow

In completion of the whole Widgets & Blocks integration discussion, here is the workflow.

My opinion everything on the Visual side of an App is actually a widget, made out of one or more controls combined with some borders and container and powered up with some core functionality (from the platform)

Each widget is fully self-contained app that can interact actively with other widgets (if capable) and the Cavalion Core.




